
##**Contributing**

Here's the most direct way to get your work merged into the project:

If your work is a new feature or a patch then follow the following workflow

* Fork the project.
* Clone down your fork ( `git clone git@github.com:[username]/fear-core-build.git` ).
* Create a topic branch to contain your change ( `git checkout -b my_awesome_feature` ).
* Code away and add tests if applicable. Not necessarily in that order.
* Make sure everything still passes by running `npm run test`.
* Update the change log with details of the change and then mark in brackets what type of change it is (new feature/patch). The version of the next published version will then be decided by this.
* If necessary, rebase your commits into logical chunks, without errors.
* Push the branch up ( `git push origin my_awesome_feature` ).
* Create a pull request against fear-core-ui/master and describe what your change
  does and the why you think it should be merged.

If your work is a breaking change please come to talk to the core team before commencing development.
