'use strict';

var helper = require('../../../tasks/helpers/build-destinations');
var expect = require('chai').expect;

describe('gulp destinations helper', function () {

    it('should return original path if no destination argument supplied', function() {
        expect(helper.getDestination('app/common/css')).to.equal('app/common/css');
    });

    it('should return path with new destination corresponding to destination argument passed', function() {
        expect(helper.getDestination('app/common/css', 'sass')).to.equal('app/common/sass');
        expect(helper.getDestination('app/common/css/', 'sass')).to.equal('app/common/sass');
    });
});
