'use strict';

System.config({
    baseURL: '/',
    defaultJSExtensions: true,
    transpiler: 'plugin-babel',
    babelOptions: {
        'optional': [
            'runtime'
        ]
    },
    map: {
        'systemjs': 'node_modules/systemjs/dist/system.js',
        'system-polyfills': 'node_modules/systemjs/dist/system-polyfills.js',
        'systemjs-babel-build': 'node_modules/systemjs-plugin-babel/systemjs-babel-browser',
        'plugin-babel': 'node_modules/systemjs-plugin-babel/plugin-babel.js',
        'core-js': 'node_modules/babel-runtime/core-js',
        'core-js/library': 'node_modules/babel-runtime/node_modules/core-js/library',
        'classList-polyfill': 'node_modules/classlist-polyfill/src/index',
        'es6-promise': 'node_modules/es6-promise/dist/es6-promise'
    }
});
